NXP NFC Reader Library v4.040.05.011646

Modules | Data Structures | Macros | Functions
component : Rc663
Hardware Abstraction Layer

RC663 Reader HAL. More...

Collaboration diagram for component : Rc663:

## Modules
| Commands
| Supported ReaderIC commands.
| Internal
| Internal definitions.
| Register Definitions
| Register definitions.
| Configuration
| Custom configuration related to NFC IC Hardware settings.

## Data Structures
struct | phhalHw_Rc663_DataParams_t
| Rc663 HAL parameter structure. More...

## Macros
#define | PHHAL_HW_RC663_ID 0x01
| ID for Rc663 HAL component. More...
#define | PHHAL_HW_RC663_DEFAULT_TIMEOUT 150U
| Default timeout in microseconds. More...
#define | PHHAL_HW_RC663_SHADOW_COUNT 0x0010U
| Number of shadowed configurations. More...

## Functions
phStatus_t | phhalHw_Rc663_Init (phhalHw_Rc663_DataParams_t *pDataParams, uint16_t wSizeOfDataParams, void *pBalDataParams, uint8_t *pLoadRegConfig, uint8_t *pTxBuffer, uint16_t wTxBufSize, uint8_t *pRxBuffer, uint16_t wRxBufSize)
| Initialize the HAL component. More...

## Custom configuration
#define | PHHAL_HW_RC663_CONFIG_FIFOSIZE (PH_CONFIG_CUSTOM_BEGIN)
| Configure FIFO-Size. More...
#define | PHHAL_HW_RC663_CONFIG_LOADREG_MODE (PH_CONFIG_CUSTOM_BEGIN+1)
| Enable (PH_ON) or disable (PH_OFF) LoadReg Mode. More...
#define | PHHAL_HW_RC663_CONFIG_WATERLEVEL (PH_CONFIG_CUSTOM_BEGIN+2)
| Configure the Water Level.

## FIFO configuration values
#define | PHHAL_HW_RC663_VALUE_FIFOSIZE_255 0x0000U
| Configure FIFO-Size to 256 bytes.
#define | PHHAL_HW_RC663_VALUE_FIFOSIZE_512 0x0001U
| Configure FIFO-Size to 512 bytes.

## Detailed Description

RC663 Reader HAL.

Note: This HAL takes care the "Request Guard Time".

See also
  phpalI14443p3a_RequestA
  phpalI14443p3a_WakeUpA

## Macro Definition Documentation

## § PHHAL_HW_RC663_ID

#define PHHAL_HW_RC663_ID 0x01

ID for Rc663 HAL component.

## § PHHAL_HW_RC663_DEFAULT_TIMEOUT

#define PHHAL_HW_RC663_DEFAULT_TIMEOUT 150U

Default timeout in microseconds.

## § PHHAL_HW_RC663_SHADOW_COUNT

#define PHHAL_HW_RC663_SHADOW_COUNT 0x0010U

Number of shadowed configurations.

## § PHHAL_HW_RC663_CONFIG_FIFOSIZE

#define PHHAL_HW_RC663_CONFIG_FIFOSIZE (PH_CONFIG_CUSTOM_BEGIN)

Configure FIFO-Size.

## § PHHAL_HW_RC663_CONFIG_LOADREG_MODE

#define PHHAL_HW_RC663_CONFIG_LOADREG_MODE (PH_CONFIG_CUSTOM_BEGIN+1)

Enable (PH_ON) or disable (PH_OFF) LoadReg Mode.

If this mode is enabled (it's disabled by default) then LoadReg is used
if an operation mode changes instead of applying library constants.
This is useful if custom antenna configuration values are required to be applied.
The parameters for LoadReg are taken from pLoadRegConfig which is an input parameter
of phhalHw_Rc663_Init. Refer there for a detailed description of pLoadRegConfig.

## Function Documentation

## § phhalHw_Rc663_Init()

phStatus_t phhalHw_Rc663_Init | ( | phhalHw_Rc663_DataParams_t * | pDataParams,
|  | uint16_t | wSizeOfDataParams,
|  | void * | pBalDataParams,
|  | uint8_t * | pLoadRegConfig,
|  | uint8_t * | pTxBuffer,
|  | uint16_t | wTxBufSize,
|  | uint8_t * | pRxBuffer,
|  | uint16_t | wRxBufSize
| ) |  |

Initialize the HAL component.

A note on pLoadRegConfig:
This is used if PHHAL_HW_RC663_CONFIG_LOADREG_MODE is enabled.
It is defined as follows:

[MSB] [LSB]
31...............16..................8.................0
+------------------+------------------+----------------+
| wEEAddress (16b) | bRegAddress (8b) | bNumBytes (8b) |
+------------------+------------------+----------------+

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | wSizeOfDataParams | Specifies the size of the data parameter structure.
  [in] | pBalDataParams | Pointer to the lower layers parameter structure.
  [in] | pLoadRegConfig | Pointer to configuration buffer for LoadReg mode; See description above.
  [in] | pTxBuffer | Pointer to global transmit buffer used by the phhalHw_Exchange() function.
  [in] | wTxBufSize | Size of the global transmit buffer.
  [in] | pRxBuffer | Pointer to global receive buffer used by the phhalHw_Exchange() function.
  [in] | wRxBufSize | Size of the global receive buffer. Specify the buffer +1 byte, because one byte is reserved for SPI communication.